#include<bits/stdc++.h>
using namespace std;
int main()
{
    freopen("bai4_17.inp","r",stdin);
    freopen("bai4_17.out","w",stdout);
    int64_t n;
    cin>>n;
    int64_t a[100000];
    int64_t i=1;
    int64_t dem=0;
    while (n!=0)
    {
        a[i]=n%2;
        if(a[i]==1)
        {
            dem++;
        }
        n/=2;
        i++;
    }
    i--;
    for(int64_t j=1;j<=i;j++)
    {
        cout<<a[j];
    }
    for(int64_t j=i+1;j<=2*i;j++)
    {
        a[j]=a[i-j];
    }
    int max=0;
    int vtri=0;
    for(int64_t j=1;j<=2*i;j++)
    {
        if(a[j]==1)
        {
            int m=0;
            for(int k=j+1;k<=2*i;k++)
            {
                if(a[k]==1)
                {
                    m++;
                }
                else break;
            }
            if(m>max)
            {
                max=m;
                vtri=j;
            }
        }
    }
    int64_t r=0;
    int64_t l=0;
    for(int64_t j=vtri+i-1;j>=vtri;j--)
    {
        r+=a[j]*pow(2,l);
        l++;
    }
    cout<<endl<<r;
}
